// ID:任务ID, CollectingType:集齐类型, CollectingReward:集齐奖励, CollectingQuantity:集齐奖励数量, CollectingQuantityAdd:集齐奖励数量重置加成

export default class M_ActivitySummerCollectingCFG {
  private static data =
      {"1":{"ID":1,"CollectingType":1,"CollectingReward":[1,312,5,54],"CollectingQuantity":[500000,2,10,1],"CollectingQuantityAdd":[]}

      ,"2":{"ID":2,"CollectingType":2,"CollectingReward":[1,312,5,16],"CollectingQuantity":[2500000,3,20,150],"CollectingQuantityAdd":[]}

      ,"3":{"ID":3,"CollectingType":3,"CollectingReward":[1,312,17,25],"CollectingQuantity":[6000000,5,30,1],"CollectingQuantityAdd":[]}

      ,"4":{"ID":4,"CollectingType":4,"CollectingReward":[96,312,17],"CollectingQuantity":[1,45,200],"CollectingQuantityAdd":[0,5,0]}

      }// ID:任务ID, CollectingType:集齐类型, CollectingReward:集齐奖励, CollectingQuantity:集齐奖励数量, CollectingQuantityAdd:集齐奖励数量重置加成


    static getData(key: any): any {
        if (key == null || key == undefined)
            return null;
        return this.data[key];
    }

    static getAllData(): any {
        return this.data;
    }

}